Description
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1700501

Description of problem:
Configure MALLOC_ARENA_MAX for dynflow

How reproducible:
Always

Steps to Reproduce:

It has been found in internal testing that configuring MALLOC_ARENA_MAX improves the performance of dynflow executors.
To apply:

edit /etc/sysconfig/dynflowd and append MALLOC_ARENA_MAX=2

foreman-maintain service restart

Actual results:
Internal testing showed a significant improvement in memory utilization of dynflow executors, often near 50% less usage.

Associated revisions

Revision d669d3bd - 10/11/2019 12:15 PM - Mike McCune
Fixes #26631 - configure MALLOC_ARENA_MAX to reduce long term RSS

Revision 35da9528 - 11/20/2019 01:16 PM - Ewoud Kohl van Wijngaarden
Refs #26631 - Set MALLOC_ARENA_MAX via the service
By setting it via the service, there is no .rpmnew changes when a user

made manual changes. If the user set it manually via
/etc/sysconfig/dynflowd that will still take precedence.

History

#1 - 04/16/2019 08:57 PM - The Foreman Bot
- Status changed from New to Ready For Testing

#2 - 10/10/2019 03:50 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4189 added

05/20/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1700501

#3 -10/11/2019 12:15 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#4 - 10/11/2019 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|d669d3bdf3dc5580e8e0e8d01efe8e87fd4a90ed.

#5 - 11/18/2019 04:00 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/4353 added
